/*!
 * \file javascript_file.cpp
 * \brief A Javascript file object to store information on a Javascript file in the RMS.
 *
 * A Javascript file object to store information on a Javascript file in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/config/javascript_files/javascript_file.h>

using namespace std;
using namespace rms;

javascript_file::javascript_file(int fileid, string url, string path)
{
  // assign the fields
  this->fileid = fileid;
  this->url = url;
  this->path = path;
}

int javascript_file::get_fileid()
{
  return fileid;
}

string javascript_file::get_url()
{
  return url;
}

string javascript_file::get_path()
{
  return path;
}
