/*!
 * \file experiment.cpp
 * \brief An experiment object to store information on an experiment entry in the RMS.
 *
 * An experiment object to store information on an experiment entry in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/user_studies/experiments/experiment.h>

using namespace std;
using namespace rms;

experiment::experiment(int expid, int userid, int condid, int envid, string start, string end)
{
  // assign the fields
  this->expid = expid;
  this->userid = userid;
  this->condid = condid;
  this->envid = envid;
  this->start = start;
  this->end = end;
}

int experiment::get_expid()
{
  return expid;
}

int experiment::get_userid()
{
  return userid;
}

int experiment::get_condid()
{
  return condid;
}

int experiment::get_envid()
{
  return envid;
}

string experiment::get_start()
{
  return start;
}

string experiment::get_end()
{
  return end;
}
