/*!
 * \file study.cpp
 * \brief A study object to store information on a study entry in the RMS.
 *
 * A study object to store information on a study entry in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/user_studies/studies/study.h>

using namespace std;
using namespace rms;

study::study(int studyid, string name, string description, string start, string end)
{
  // assign the fields
  this->studyid = studyid;
  this->name = name;
  this->description = description;
  this->start = start;
  this->end = end;
}

int study::get_studyid()
{
  return studyid;
}

string study::get_name()
{
  return name;
}

string study::get_description()
{
  return description;
}

string study::get_start()
{
  return start;
}

string study::get_end()
{
  return end;
}
